gnash(1)

NAME
gnash, gtk-gnash, kde4-gnash - GNU Flash (SWF) Player

Synopsis
gnash [option]... [URL]

DESCRIPTION
Run the SWF movie player.

-h  Print usage info.

-s factor
    Scale the movie up/down by the specified factor.

-d num
    Number of milliseconds to delay in main loop.

-a  Be very verbose about movie action execution. Must be used in conjunction with -v.

-p  Be very verbose about parsing. Must be used in conjunction with -v.

-x xid, --xid xid
    The XID of the parent window Gnash should use instead of creating a new one. This is only used when embedding the player into another window.

-j width, --width width
    Set the width of the window. This is only used when embedding the player into another window.

-k height, --height height
    Set the height of the window. This is only used when embedding the player into another window.

-v  Be verbose; i.e. print log messages to stdout.

-g  Start Gnash with a Flash debugger console so one can set breakpoints or watchpoints.

-w  Write the gnash-dbg.log debug log to disk. By default the plugin writes its log in your home directory when using a launcher from GNOME or KDE.

-1, --once
    Play once; exit when/if movie reaches the last frame.

-r [0|1|2]
    0 disables rendering and sound (good for batch tests). 1 enables rendering and sound (default setting). 2 enables rendering and disables sound.

-t sec, --timeout sec
    Timeout and exit after the specified number of seconds.

-u, --real-url
    Set "real" url of the movie (useful for downloaded movies).

-U, --base-url
    Set "base" url for this run (used to resolve relative urls, defaults to movie url)

-P param, --param param
    Set parameter (ie. "FlashVars=A=1&b=2")

-F, --fd x:y
    Set file descriptors to use for external communications. x is use by the player to send commands to the plugin, y is used by the plugin to send commands to the standalone player.

--version
    Print the version number, and the configuration, of the Gnash player. Please provide this information when submitting bug reports.

--screenshot list
    Set a list of frame advances to be saved as screenshots. The list must be comma-separated. Valid values are integers and the phrase "last". If "last" is specified, the final frame before exit is saved. Invalid values are ignored. Frame numbers apply to the sequence of frames as the SWF is executed, not the frame sequence defined in the SWF. Use in combination with --screenshot-file to specify output filename.

--screenshot-file file
    Specify the output pattern for screenshot filenames. The token %f in a pattern will be replaced with a frame identifier. If you specify multiple frames and do not use %f, the file will be overwritten for each screenshot. If this option is not specified but screenshots are requested, a default filename will be used.

  KEYS

CTRL-Q
    Quit/Exit.

CTRL-W
    Quit/Exit.

CTRL-P
    Toggle pause.

CTRL-R
    Restart the movie.

CTRL-F
    Toggle fullscreen. ESC also exits fullscreen.

CTRL-O
    Save a spontaneous screenshot. If no screenshots were requested from the command line, a default filename is used. Otherwise, the same filename pattern is used for requested and spontaneous screenshots.

Flash is a registered trademark of Adobe Corporation.